Create enrollment API key

Base URL
https://{kibana_url}
  • POST /api/fleet/enrollment_api_keys
  • POST /s/{space_id}/api/fleet/enrollment_api_keys
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

name string

The name of the enrollment API key. Must be unique.

policy_id string required

The ID of the agent policy the Elastic Agent will be enrolled in.

Responses

OK

application/json
action enum
Values: created
Base URL
https://{kibana_url}